package main

import (
	"flag"
	"fmt"
	"os"
	s "strings"
)

var noNewline = flag.Bool("n", false, "Do not print the terminating newline.")

func echo(strings []string, noNewline bool) {
	str := s.Join(strings, " ")
	if noNewline {
		fmt.Print(str)
	} else {
		fmt.Println(str)
	}
}

func main() {
	flag.Parse()
	echo(os.Args[1:], *noNewline)
}
