package main

import (
	"fmt"
	"os"
)

func printStrings(strings []string) {
	for _, str := range strings {
		fmt.Println(str)
	}
}

func main() {
	if len(os.Args) == 1 {
		printStrings(os.Environ())
		os.Exit(0)
	}

	exitCode := 0
	envVars := []string{}
	for _, key := range os.Args[1:] {
		val, present := os.LookupEnv(key)
		if present {
			envVars = append(envVars, val)
		} else {
			exitCode = 1
		}
	}
	printStrings(envVars)
	os.Exit(exitCode)
}
